classification
Title: freeze.py broken due to ABI flags
Type: behavior Stage: patch review
Components: Demos and Tools Versions: Python 3.3, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: meador.inge Nosy List: Arfrever, Trundle, barry, eric.araujo, jcea, loewis, meador.inge, pitrou, python-dev
Priority: high Keywords: patch

Created on 2011-04-11 02:21 by Trundle, last changed 2014-03-30 18:31 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
freeze.patch Trundle, 2011-04-11 02:21 review
issue11824-0.patch meador.inge, 2013-01-01 22:34 review
Messages (6)
msg133495 - (view) Author: Andreas Stührk (Trundle) Date: 2011-04-11 02:21
The recent addition of ABI flags broke the freeze tool as it doesn't construct the paths to required files correctly any longer. The attached patch fixes the issue for me, but I'm not too sure that I used the right config values.
msg140457 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-07-15 18:54
Barry?

Additionally, if would be nice if we got some tests for the "freeze" tool, otherwise I fear we will keep breaking it.
msg166255 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2012-07-24 00:04
Ping!
msg178769 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2013-01-01 22:34
I don't think the current patch is correct.  It breaks the usage of `freeze.py -p $path` since LIBDIR and LIBRARY are blindly used.

Maybe something like the attached that respects -p and -P can be used instead?

As for the testing, I think a reasonable solution to get started with is to add some buildbot runs that automate the hello.py freeze on various hosts.  That will give us some basic coverage and then more tests can be added over time if need be.  I would be happy to help set that up (with given guidance on how to access the buildbots).

Even with the attached patch I still can't fully build (on OS X 10.7.5) because of issue16047:

Undefined symbols for architecture x86_64:
  "_PyInit__imp", referenced from:
      __PyImport_Inittab in config.o
ld: symbol(s) not found for architecture x86_64

I will take a look at that issue next.
msg215193 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-30 18:30
New changeset 4e37a4a036c6 by Martin v. Löwis in branch '3.4':
Issue #11824: Consider ABI tags in freeze. Patch by Meador Inge.
http://hg.python.org/cpython/rev/4e37a4a036c6

New changeset 1b6fc88ae3f5 by Martin v. Löwis in branch 'default':
Merge 3.4: Issue #11824: Consider ABI tags in freeze. Patch by Meador Inge.
http://hg.python.org/cpython/rev/1b6fc88ae3f5
msg215194 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-30 18:31
Thanks for the patch. Closing this issue as it only deals with the ABI flags; the remaining issues with freeze are dealt with elsewhere.
History
Date User Action Args
2014-03-30 18:31:23loewissetstatus: open -> closed

nosy: + loewis
messages: + msg215194

resolution: fixed
2014-03-30 18:30:27python-devsetnosy: + python-dev
messages: + msg215193
2013-01-01 22:34:30meador.ingesetfiles: + issue11824-0.patch
assignee: meador.inge
messages: + msg178769
2012-12-29 06:03:28Arfreversetnosy: + Arfrever
2012-07-24 02:51:27meador.ingesetnosy: + meador.inge
2012-07-24 00:04:53jceasetnosy: + jcea
messages: + msg166255
2011-07-15 18:54:09pitrousetpriority: normal -> high

nosy: + pitrou
messages: + msg140457

stage: patch review
2011-04-30 15:39:33eric.araujolinkissue7517 superseder
2011-04-15 16:58:13eric.araujosetnosy: + barry, eric.araujo
2011-04-11 02:21:58Trundlecreate